# mediawiki-theme-vector-gmt

Theme fitting the Mediawiki 'vector' skin, for use with the [Game Making Tools wiki](https://www.gamemaking.tools/wiki/).

## Installation

- Requires the Mediawiki extension 'Theme': https://www.mediawiki.org/wiki/Extension:Theme <br>
See instructions behind that link (you just put stuff in a folder and add a line to LocalSettings.php).

- Place this stylesheet within your wiki's `extensions/Theme/vector` directory (Vector is the skin it modifies).
- Within `extensions/Theme` there's a file called `extension.json`. You need to find the `ResourceModules` bit and add the theme there. For example mine looks like this:
```
"ResourceModules": {
	"themeloader.skins.vector.gmt": {
		"styles": {
			"vector/gmt.css": {
				"media": "screen"
			}
		}
	}
},
```
- NB: I only have one theme set-up though! Each theme you want to use needs it's own 'module'.

## To-Do

- Clean up some of the hacky feeling bits (mostly to do with the logo).
- Mobile version.
- ? Maybe shift styling of infoboxes to CSS instead of in the template.
- Make less wide (more of a pain than it should be).
